System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.PeerResolverBindingElement To be added.

Defines the binding element used to create a custom peer resolver.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by cloning the provided custom peer resolver binding.

  instance which contains the settings to clone for the new binding.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided resolver settings.

  object that contains the specific settings for the new binding.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the provided binding context and resolver settings.

  object that contains the binding context for resolvers created by this binding.
  object that contains the specific settings for the new binding.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets and sets the endpoint address of the peer on which resolvers created by this binding will run.

- Property
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added. To be added.

  Gets and sets the network binding used by resolvers created with this binding element.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to get a channel factory for sending messages based on the configuration of the transport binding element.

  Creates a channel factory that can be used to create a channel for sending messages.

  that contains the new channel factory of the specified type.

  that specifies the binding context for the channel factory. The type of channel to produce.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to get a channel listener for receiving messages based on the configuration of the transport binding element.

  Creates a channel listener of the specified type for receiving messages.

  that contains the new channel listener of the specified type.

  that specifies the binding context for the channel listener. that specifies the type of the channels to produce.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a channel factory of the specified type can be built.

  True if this binding element can produce a channel factory of the specified type; false if it cannot.

  that specifies the binding context for the channel factory. that specifies the type of the channels to produce.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel `` To be added.

  Determines whether a channel listener of the specified type can be built.

  True if this binding element can produce a channel listener of the specified type; false if it cannot.

  that specifies the binding context for the channel listener. that specifies the type of the channel listener.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement

  The object returned by this method can be reboxed as an object of the more specific type.

  Creates a copy of the current binding element.

  that contains a copy of the current binding element.

- Method
  4.0.0.0
  System.ServiceModel.PeerResolver To be added.

  Creates a new instance of the custom peer resolver.

  object that contains a new custom peer resolver with the settings supplied to this binding element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint `` To be added.

  Returns a property from the specified object.

  The property from the specified .

  that specifies the binding context. The specific property to obtain from the binding context.
- Property
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerReferralPolicy To be added. To be added.

  Gets and sets the referral policy for peer resolvers created with this binding element.